Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(723)

Issue 140069: patch for issue 1030 - redirect stout and stderr on windows (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 years, 5 months ago by timitos
Modified:
10 years, 5 months ago
Reviewers:
ced1
Visibility:
Public.

Patch Set 1 #

Total comments: 2

Patch Set 2 : redirect stdout and stderr only when executed as an exe #

Total comments: 5

Patch Set 3 : adding missing space after comma #

Patch Set 4 : close stderr and stdout #

Total comments: 1

Patch Set 5 : use os.devnull #

Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -0 lines) Patch
M bin/tryton View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 13
ced1
http://codereview.appspot.com/140069/diff/1/2 File bin/tryton (right): http://codereview.appspot.com/140069/diff/1/2#newcode11 Line 11: if os.name == 'nt': It should be done ...
10 years, 5 months ago (2009-11-05 12:57:22 UTC) #1
timitos
http://codereview.appspot.com/140069/diff/1/2 File bin/tryton (right): http://codereview.appspot.com/140069/diff/1/2#newcode11 Line 11: if os.name == 'nt': On 2009/11/05 12:57:22, ced ...
10 years, 5 months ago (2009-11-05 19:39:36 UTC) #2
ced1
http://codereview.appspot.com/140069/diff/2002/3002 File bin/tryton (right): http://codereview.appspot.com/140069/diff/2002/3002#newcode12 Line 12: if os.name == 'nt' and hasattr(sys,"frozen"): missing space ...
10 years, 5 months ago (2009-11-05 19:43:46 UTC) #3
timitos
http://codereview.appspot.com/140069/diff/2002/3002 File bin/tryton (right): http://codereview.appspot.com/140069/diff/2002/3002#newcode12 Line 12: if os.name == 'nt' and hasattr(sys,"frozen"): On 2009/11/05 ...
10 years, 5 months ago (2009-11-05 20:08:17 UTC) #4
timitos
http://codereview.appspot.com/140069/diff/2002/3002 File bin/tryton (right): http://codereview.appspot.com/140069/diff/2002/3002#newcode13 Line 13: if not os.path.isdir(os.path.join(os.environ['APPDATA'],"Tryton")): On 2009/11/05 19:43:46, ced wrote: ...
10 years, 5 months ago (2009-11-05 20:14:59 UTC) #5
ced1
I'm wondering if it will not be better to simply close stdout and stderr.
10 years, 5 months ago (2009-11-05 21:47:05 UTC) #6
timitos
On 2009/11/05 21:47:05, ced wrote: > I'm wondering if it will not be better to ...
10 years, 5 months ago (2009-11-07 14:59:42 UTC) #7
ced1
On 2009/11/07 14:59:42, timitos wrote: > On 2009/11/05 21:47:05, ced wrote: > > I'm wondering ...
10 years, 5 months ago (2009-11-07 15:39:38 UTC) #8
timitos
new patchset uploaded. i have the code from boot_common.py of py2exe. please notice that py2exe ...
10 years, 5 months ago (2009-11-08 10:13:33 UTC) #9
ced1
http://codereview.appspot.com/140069/diff/5001/5002 File bin/tryton (right): http://codereview.appspot.com/140069/diff/5001/5002#newcode21 bin/tryton:21: sys.stdout = NoWhere() Why not: sys.stdout = open(os.devnull, 'w')
10 years, 5 months ago (2009-11-08 10:30:16 UTC) #10
timitos
seems to work. new patchset with os.devnull
10 years, 5 months ago (2009-11-08 11:55:23 UTC) #11
ced1
Ok you can create a changeset for the issue.
10 years, 5 months ago (2009-11-10 21:48:35 UTC) #12
ced1
10 years, 5 months ago (2009-11-10 23:08:12 UTC) #13
Applied
Can be closed
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b